//
//  LottoGenerator.swift
//  Lotto
//
//  Created by Holger Hinzberg on 09.04.15.
//  Copyright (c) 2015 Holger Hinzberg. All rights reserved.
//

import Foundation

class LottoGenerator
{
    func generate(numberCount:Int) ->[Int]
    {
        // Ein Dictionary mit einer ganzen Zahl
        // für den Wert und als Schlüssel
        var randomDict = [Int:Int]()
        
        // Die Schleife läuft, solange die Anzahl der
        // Elemente im Dictionary kleiner als der Wert
        // des Parameters ist
        while( randomDict.count < numberCount)
        {
            // Eine Zufallszahl erzeugen
            let number = Int(arc4random_uniform(49)) + 1
            randomDict.updateValue(0, forKey: number)
        }
        
        // Ausgabe der Werte zur Kontroller
        print(randomDict)
        
        var randomArray = [Int]()
        // Alle Keys im Dictionary durchlaufen
        for key in randomDict.keys
        {
            randomArray.append(key)
        }
        
        // Sortierte Kopie der Auflistung zurück geben
        return randomArray.sort( {$0 < $1})
    }
}
